export const tableList: any[] = [
  {
    businessId: 1,
    name: '值域检查(倍数)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000038',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 2,
    name: '值域检查(数值大于零)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000041',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
    description: '这是模板描述',
    category: '规范性',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
    params: [
      {
        key: '1',
        parameter: 'table_a',
        type: '数据表类',
        description: '数据表',
        value: '默认工作组/数据库a/数据表a',
      },
      {
        key: '2',
        parameter: 'column_a',
        type: '数据字段类',
        description: '数据字段',
        value: '默认工作组/数据库a/数据表a/字段a',
      },
      {
        key: '3',
        parameter: 'range_a',
        type: '公共代码类',
        description: '值域',
        value: '公共代码/数据范围a',
      },
    ],
  },
  {
    businessId: 3,
    name: '值域检查(比率)',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000039',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 4,
    name: '值域检查(负数率)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000040',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 5,
    name: '值域检查(额度)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000043',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 6,
    name: '关键字检查(非空)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000033',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 7,
    name: '编码规则检查(检查证件有效)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000042',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 8,
    name: '长度检查[0,30]',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000035',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 9,
    name: '长度检查[0,4]',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000034',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 10,
    name: '长度检查[0,8]',
    dataSource: [
      { icon: '🧩', text: 'GBASE' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000036',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
];

export const treeDataList = [
  {
    title: '主体管理',
    key: 1,
    icon: 'home|svg',
    children: [
      { title: 'admin_个人工作区', key: 2 },
      { title: '共享工作区', key: 3 },
      { title: '商城工作区', key: 4 },
      { title: '指标工作区', key: 5 },
    ],
  },
];
export const treeDataListTwo = [
  {
    label: '默认工作组',
    businessId: 1,
    children: [
      { label: '默认工作组01', businessId: 2 },
      { label: '默认工作组02', businessId: 3 },
      { label: '默认工作组03', businessId: 4 },
      { label: '默认工作组04', businessId: 5 },
    ],
  },
];

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    workSpaceName: 'SHELL文件',
    parentId: 0,
    code: '001',
    ancestors: '0',
    orderNum: 0,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SHELL文件',
    anotherName: 'SHELL文件',
    location: '/SHELL文件',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    workSpaceName: 'admin-个人工作区',
    parentId: 100,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'admin-个人工作区',
    anotherName: 'admin-个人工作区',
    location: '/SHELL文件/admin-个人工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    workSpaceName: '共享工作区',
    parentId: 100,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '共享工作区',
    anotherName: '共享工作区',
    location: '/SHELL文件/共享工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 103,
    workSpaceName: '高级工作区',
    parentId: 100,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '高级工作区',
    anotherName: '高级工作区',
    location: '/SHELL文件/高级工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    workSpaceName: '文件夹1',
    parentId: 101,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹1',
    anotherName: '文件夹1',
    location: '/SHELL文件/admin-个人工作区/文件夹1',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    workSpaceName: '文件夹2',
    parentId: 102,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹2',
    anotherName: '文件夹2',
    location: '/SHELL文件/共享工作区/文件夹2',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 203,
    workSpaceName: '文件夹3',
    parentId: 103,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹3',
    anotherName: '文件夹3',
    location: '/SHELL文件/高级工作区/文件夹3',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    workSpaceName: 'SQL1',
    parentId: 201,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/admin-个人工作区/文件夹1/SQL1',
    icon: 'ant-design:partition-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    workSpaceName: 'SQL1',
    parentId: 202,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/共享工作区/文件夹2/SQL1',
    icon: 'ant-design:partition-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 303,
    workSpaceName: 'SQL1',
    parentId: 203,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/高级工作区/文件夹3/SQL1',
    icon: 'ant-design:partition-outlined',
  },
];
