export const tableList: any[] = [
  {
    businessId: 1,
    name: '值域检查(倍数)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000038',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 2,
    name: '值域检查(数值大于零)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000041',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
    description: '这是模板描述',
    category: '规范性',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
    params: [
      {
        key: '1',
        parameter: 'table_a',
        type: '数据表类',
        description: '数据表',
        value: '默认工作组/数据库a/数据表a',
      },
      {
        key: '2',
        parameter: 'column_a',
        type: '数据字段类',
        description: '数据字段',
        value: '默认工作组/数据库a/数据表a/字段a',
      },
      {
        key: '3',
        parameter: 'range_a',
        type: '公共代码类',
        description: '值域',
        value: '公共代码/数据范围a',
      },
    ],
  },
  {
    businessId: 3,
    name: '值域检查(比率)',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000039',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 4,
    name: '值域检查(负数率)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000040',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 5,
    name: '值域检查(额度)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000043',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 6,
    name: '关键字检查(非空)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000033',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 7,
    name: '编码规则检查(检查证件有效)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000042',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 8,
    name: '长度检查[0,30]',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000035',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 9,
    name: '长度检查[0,4]',
    dataSource: [
      { icon: '🧩', text: 'MYSQL' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000034',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
  {
    businessId: 10,
    name: '长度检查[0,8]',
    dataSource: [
      { icon: '🧩', text: 'GBASE' },
      { icon: '🧩', text: 'MYSQL' },
    ],
    templateNumber: 'BIDQ000036',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '默认工作组',
  },
];

export const treeDataList = [
  {
    title: '主体管理',
    key: 1,
    icon: 'home|svg',
    children: [
      { title: 'admin_个人工作区', key: 2 },
      { title: '共享工作区', key: 3 },
      { title: '商城工作区', key: 4 },
      { title: '指标工作区', key: 5 },
    ],
  },
];
export const treeDataListTwo = [
  {
    label: '默认工作组',
    businessId: 1,
    children: [
      { label: '默认工作组01', businessId: 2 },
      { label: '默认工作组02', businessId: 3 },
      { label: '默认工作组03', businessId: 4 },
      { label: '默认工作组04', businessId: 5 },
    ],
  },
];

export const TreeData: any[] = [
  {
    businessId: 100,
    QualityName: '质量模版',
    anotherName: '质量模版',
    parentId: 0,
    location: '/质量模版',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 101,
    QualityName: 'CEA_POC_模版',
    anotherName: 'CEA_POC_模版',
    parentId: 100,
    ancestors: '0,100',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 102,
    QualityName: '数据中台工作区01',
    anotherName: '数据中台工作区01',
    parentId: 100,
    ancestors: '0,100',
    location: '/质量模版/数据中台工作区01',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 201,
    QualityName: '值域检查(倍数)',
    anotherName: '值域检查(倍数)',
    parentId: 102,
    ancestors: '0,100,102',
    location: '/质量模版/数据中台工作区01/值域检查(倍数)',
    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 202,
    QualityName: '值域检查(数值大于零)',
    anotherName: '值域检查(数值大于零)',
    parentId: 102,
    ancestors: '0,100,102',
    location: '/质量模版/数据中台工作区01/值域检查(数值大于零)',
    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 204,
    QualityName: '准取检查-数值大于等于n',
    anotherName: '准取检查-数值大于等于n',
    parentId: 101,
    ancestors: '0,100,101',
    location: '/质量模版/CEA_POC_模版/准取检查-数值大于等于n',
    icon: 'ant-design:partition-outlined',
  },
];
