import { Schema } from 'tinymce';
import { FormSchema } from '@/components/Form';

export const importFormSchema: FormSchema[] = [
  {
    field: 'deptId',
    label: '导入至',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'deptName',
        value: 'businessId',
      },
      treeData: [
        {
          deptName: 'SHELL文件',
          businessId: '100',
          children: [
            {
              deptName: 'admin-个人工作区',
              businessId: '101',
              children: [
                {
                  deptName: '文件夹1',
                  businessId: '201',
                  children: [
                    {
                      deptName: 'SQL1',
                      businessId: '301',
                    },
                  ],
                },
              ],
            },
            {
              deptName: '共享工作区',
              businessId: '102',
              children: [
                {
                  deptName: '文件夹2',
                  businessId: '202',
                  children: [
                    {
                      deptName: 'SQL2',
                      businessId: '302',
                    },
                  ],
                },
              ],
            },
            {
              deptName: '高级工作区',
              businessId: '103',
              children: [
                {
                  deptName: '文件夹3',
                  businessId: '203',
                  children: [
                    {
                      deptName: 'SQL3',
                      businessId: '303',
                    },
                  ],
                },
              ],
            },
          ],
        },
      ],
    },
    required: true,
  },
  {
    field: 'fileMethods',
    label: '导入文件选择',
    slot: 'fileMethods',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    defaultValue: '全部放弃',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
  },
];
